DJI Phantom 4 - Firmware Upgrade Warning

DJI Phantom 4 - Firmware Upgrade Warning

Here is some important information for users of the DJI Phantom 4. The Heliguy Repair Centre has had a number of calls related to the most recent version of the DJI Phantom 4‘s firmware. In short, it’s become clear that you must update the firmware on the craft before doing so on the contoller. The update... Read More

1 minute read

DJI Phantom 4 Issue Here is some important information for users of the DJI Phantom 4. The Heliguy Repair Centre has had a number of calls related to the most recent version of the DJI Phantom 4's firmware. In short, it's become clear that you must update the firmware on the craft before doing so on the contoller. The update requires both an aircraft and remote controller update. If you update through the app you will get an error if you update the controller first. This error will display as an 'RC Signal Loss' message. This is definitely something to avoid as it will leave you without the ability to update your Phantom 4 and, as a result, both parts will be useless.

DJI Phantom 4 Issue Resolved

If the worst has already happened, you must update the aircraft using the Assistant software or alternatively try to downgrade the remote controller from the updated v1.6 firmware to v1.5.8. To successfully downgrade the remote controller firmware version back to v1.5.8 you must follow these steps.
  1. Make sure the aircraft is powered off
  2. Power up the remote controller and the app (with USB connected and Wifi enabled)
  3. Launch the DJI GO App and click on the graduation hat in the upper right corner of the app home page for around 5 seconds
  4. This should take you to the remote controller firmware downgrade page where you can access the download button for the v1.5.8
  5. Once both the download and install are complete, power cycle the remote controller and turn on the aircraft
  6. Go to the aircraft status page and it should then say aircraft requires update
  7. Once you have updated the aircraft's firmware, you can then update the remote controller firmware and you will be good to go

Heliguy Support

To reiterate, all Phantom 4 users must ensure that they update the firmware on their aircraft before doing so on their remote controller to avoid rendering both of them unusable. For more information or support, contact our team: Email: info@heliguy.com Call: UK: 0845 838 8652 Int: +44 (0)191 296 1024 Keep checking back to Heliguy Insider for more insights into drone maintenance and the latest news from the industry.

Leave a comment

Please note, comments must be approved before they are published

Please note, this hidden field is to prevent bot submissions and entering data will result in your comment being discarded without moderation.


Recent heliguy™ Blog Posts